<template>
  <div class="app-container">
    <!-- <search-form
      :list-loading="listLoading"
      @change="searchHandle"
    /> -->
    
  </div>
</template>
<script>
import SearchForm from './components/searchForm/AppIntegral'
import baseTable from '_m/baseTable.js'
export default {
  name: 'index',
  components: {
    SearchForm,
  },
  provide() {
    return {
      parentData: this
    }
  },
  mixins: [baseTable],
  data() {
    return {
      apiStr: 'user.admwechatuserintegrallist',
      searchForm: null,
      isDtlShow: false,
      curObj: {},
    }
  },
  computed: {
    tableData2() {
      const arr = [...this.tableData]
      arr.map(item => {
        item.total = this.total
      })
      return arr
    }
  },
  created() {
    const query = this.$route.query
    this.searchForm = {
      id: query.id
    }
    this.fetchData()
  },
  mounted() {
    this.listConfig = {
      rows: [
        { label: '总成长值', prop: 'total' },
        { label: '成长值变动', prop: 'total_point' },
        { label: '类型', prop: 'target_type' },
        { label: '备注', prop: 'remark'},
      ]
    }
  },
  methods: {
    getMoreData (res) {
      this.total = res.surplus_point
    }
  }
}
</script>
